Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.invalidation
Interface InvalidationBridgeListener

All Known Implementing Classes:
  JMSCacheInvalidationBridge

public interface InvalidationBridgeListener

InvalidationManager (IM) represents locally managed caches and invaliders. To be able to do distributed invalidations, it is necessary to bridge these IM to forward cache invalidation messages. The InvalidationBridgeListener provides the way for any transport mechanism to be used to forward cache invalidation messages accross a network/cluster.

Version:
  $Revision: 1.2.6.1 $

  Revisions:

  24 septembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `InvalidationManagerMBean`

Method Summary
`void` | `batchInvalidate(BatchInvalidation[] invalidations, boolean asynchronous)` Called when a set of invalidations, concerning more than one IG, should be forwarded accross the bridge.
`void` | `groupIsDropped(String groupInvalidationName)` Called when an InvocationGroup is dropped (because no cache and invalider are using it anymore).
`void` | `invalidate(String invalidationGroupName, Serializable[] keys, boolean asynchronous)` Called when a set of invalidations, concerning a single IG, should be forwarded accross the bridge.
`void` | `invalidate(String invalidationGroupName, Serializable key, boolean asynchronous)` Called when a single invalidation, concerning a single IG, should be forwarded accross the bridge.
`void` | `invalidateAll(String groupName, boolean asynchronous)` Issues invalidate all event to other nodes.
`void` | `newGroupCreated(String groupInvalidationName)` Called when an InvocationGroup is created.

Method Detail

### batchInvalidate

    public void batchInvalidate(BatchInvalidation[] invalidations,
                                boolean asynchronous)

  Called when a set of invalidations, concerning more than one IG, should be forwarded accross the bridge. It is the bridge responsability to determine: - which IG must be bridged (some IG may not exist on other nodes, in this case the bridge may decide to drop these invalidations messages to reduce the serialization cost and network usage) - to which other nodes the invalidations must be communicated. This can be done by any mean (automatic discovery, configuration file, etc.)

  Parameters:
    `invalidations` - BatchInvalidation messages containing invalidations
    `asynchronous` - Determine the best-effort indication to be used to communicate invalidations

### invalidate

    public void invalidate(String invalidationGroupName,
                           Serializable key,
                           boolean asynchronous)

  Called when a single invalidation, concerning a single IG, should be forwarded accross the bridge. It is the bridge responsability to determine: - which IG must be bridged (some IG may not exist on other nodes, in this case the bridge may decide to drop these invalidations messages to reduce the serialization cost and network usage) - to which other nodes the invalidations must be communicated. This can be done by any mean (automatic discovery, configuration file, etc.)

  Parameters:
    `invalidationGroupName` - InvalidationGroup name
    `key` - Key to be invalidated
    `asynchronous` - Best effort communication setting

### invalidate

    public void invalidate(String invalidationGroupName,
                           Serializable[] keys,
                           boolean asynchronous)

  Called when a set of invalidations, concerning a single IG, should be forwarded accross the bridge. It is the bridge responsability to determine: - which IG must be bridged (some IG may not exist on other nodes, in this case the bridge may decide to drop these invalidations messages to reduce the serialization cost and network usage) - to which other nodes the invalidations must be communicated. This can be done by any mean (automatic discovery, configuration file, etc.)

  Parameters:
    `invalidationGroupName` - Name of the InvalidationGroup to which is linked the invalidation message
    `keys` - Keys to be invalidated
    `asynchronous` - Best effort communication setting

### invalidateAll

    public void invalidateAll(String groupName,
                              boolean asynchronous)

  Issues invalidate all event to other nodes.

  Parameters:
    `groupName` - group's name
    `asynchronous` - mode

### groupIsDropped

    public void groupIsDropped(String groupInvalidationName)

  Called when an InvocationGroup is dropped (because no cache and invalider are using it anymore). For bridge implementations that automatically discover which IG should be bridged, this callback can be used to communicate to the other nodes that this node is no more interested in invalidation for this group.

  Parameters:
    `groupInvalidationName` - Name of the InvalidationGroup being dropped

### newGroupCreated

    public void newGroupCreated(String groupInvalidationName)

  Called when an InvocationGroup is created. For bridge implementations that automatically discover which IG should be bridged, this callback can be used to communicate to the other nodes that this node is now interested in invalidation for this group.

  Parameters:
    `groupInvalidationName` - Name of the InvalidationGroup just being created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.